Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl
Class XRI3XRef

    java.lang.Object
      org.openxri.xri3.impl.XRI3SyntaxComponent
          org.openxri.xri3.impl.XRI3XRef

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, XRISyntaxComponent, XRIXRef

    public class XRI3XRef

extends XRI3SyntaxComponent
implements XRIXRef

See Also:
  Serialized Form

Constructor Summary
`XRI3XRef(java.lang.String string)`

Method Summary
`java.lang.String` | `getIRI()`
`Rule` | `getParserObject()`
`XRIReference` | `getXRIReference()`
`boolean` | `hasIRI()`
`boolean` | `hasXRIReference()`

Methods inherited from class org.openxri.xri3.impl.XRI3SyntaxComponent
`compareTo, equals, hashCode, toIRINormalForm, toString, toURINormalForm`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.openxri.xri3.XRISyntaxComponent
`toIRINormalForm, toURINormalForm`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### XRI3XRef

    public XRI3XRef(java.lang.String string)
             throws ParserException

Throws:
  `ParserException`

Method Detail

### getParserObject

    public Rule getParserObject()

  Specified by:
    `getParserObject` in class `XRI3SyntaxComponent`

### hasXRIReference

    public boolean hasXRIReference()

  Specified by:
    `hasXRIReference` in interface `XRIXRef`

### hasIRI

    public boolean hasIRI()

  Specified by:
    `hasIRI` in interface `XRIXRef`

### getXRIReference

    public XRIReference getXRIReference()

  Specified by:
    `getXRIReference` in interface `XRIXRef`

### getIRI

    public java.lang.String getIRI()

  Specified by:
    `getIRI` in interface `XRIXRef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.